Subject: Re: [Bitcoin-development] Punishing empty blocks?

From: "Luke-Jr" <[email-masked]>
Date: Tue, 29 May 2012 15:39:56 +0000

On Tuesday, May 29, 2012 3:36:34 PM Peter Vessenes wrote:
> I suppose I mean that I don't understand how to reverse that into a URL
> when one is presented only with a block, or perhaps a coinbase in a
> transaction.

A new message can be added to the p2p relay network, similar to tx and alert 
broadcasts, that allow miners to publish/update their policy URI signed by the 
key in question. Counter-DDoS rules could decline to relay or store URIs for 
keys that haven't been published in - or achieved statistical significance in 
- the last N blocks.